require_relative 'lib/fenix/core/version'

Gem::Specification.new do |spec|
  spec.name          = 'fenix-core'
  spec.version       = Fenix.version
  spec.authors       = ['Benjamin Bloch']
  spec.email         = ['cirex@aethernet.org']
  spec.homepage      = 'https://github.com/fenix-novus/fenix'
  spec.license       = 'MIT'
  spec.description   = 'Lightweight web framework inspired by Sinatra'
  spec.summary       = spec.description

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r(/bin/)) { |file| File.basename(file) }
  spec.test_files    = spec.files.grep(%r(/spec/))
  spec.require_paths = ['lib']

  private_key = File.expand_path('~/keys/gem-private.pem')

  if File.exists?(private_key)
    spec.signing_key = private_key
    spec.cert_chain  = ['../fenix-public.pem']
  end

  spec.add_runtime_dependency 'rack',       '~> 1.5'
  spec.add_runtime_dependency 'tilt',       '~> 2.0'
  spec.add_runtime_dependency 'mustermann', '~> 0.2'
  spec.add_runtime_dependency 'i18n',       '~> 0.6'

  spec.add_development_dependency 'rspec', '= 3.0.0.beta1'

  spec.required_ruby_version = '>= 2.1.0'
end